/*
 * SPDX-License-Identifier: AGPL-3.0-only
 * Copyright (c) Camden Dixie O'Brien
 */

#ifndef ALARM_STORE_H
#define ALARM_STORE_H

#include "alarm_types.h"

#include "sdkconfig.h"
#include <stdbool.h>

extern Alarm alarms[CONFIG_MAX_ALARMS];

/**
 * Initialize alarm store and load alarms from storage.
 */
void alarm_store_init(void);

/**
 * Save alarms to storage.
 */
void alarm_store_save(void);

#endif
